Subject: Re: Board names for 4xx

From: Dan Malek <[email-masked]>
Date: Mon, 17 Sep 2001 11:56:10 -0400

Tom Rini wrote:

> I do wish someone else would speak up tho.  Does anyone out there have an
> opinion?

It depends how you want to use this information.  In the kernel, it is very
critical we clearly distinguish between the "core" (the thing that executes
instructions), the peripherals (the real difference among the SOC-type
processors), and the board design (which will determine how the peripherals
are configured).

If the information from /proc is just used for pretty print out of
information, I really don't care.  If there are applications that read
this for some internal configuration and flexibility, we better have a
standard format.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/